Name:           libu2f-host
Version:        0.0.4
Release:        1%{?dist}
Summary:        Yubico Universal 2nd Factor (U2F) Host C Library

License:        LGPLv2+
URL:            http://developers.yubico.com/%{name}/
Source0:        http://developers.yubico.com/%{name}/releases/%{name}-%{version}.tar.xz

# Udev rule is now provided with the library itself.
# This is hopefully temporary.  If this systemd patch is accepted and
# lands in Fedora, then the libu2f-host udev rules can be deleted.
# http://lists.freedesktop.org/archives/systemd-devel/2014-October/024667.html

# For /usr/lib/udev/rules.d
Requires:       systemd

BuildRequires:  json-c-devel hidapi-devel systemd

# Bundled gnulib https://fedorahosted.org/fpc/ticket/174
Provides:       bundled(gnulib)

%description
libu2f-host provides a C library that implements the host-side of the
U2F protocol. There are APIs to talk to a U2F device and perform the U2F
Register and U2F Authenticate operations.

%package -n u2f-host
Summary:        Command-line tool for U2F devices
Requires:       %{name}%{?_isa} = %{version}-%{release}
License:        GPLv3+

%description -n u2f-host
u2f-host provides a command line tool that implements the host-side of the
U2F protocol.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files needed to develop applications that
use libu2f-host.

%prep
%setup -q

%build
%configure --disable-rpath --disable-static

# --disable-rpath doesn't work.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%check
LD_LIBRARY_PATH="$(pwd)/u2f-host/.libs" make check

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
install -p -D -m 0644 70-u2f.rules  %{buildroot}/%{_udevrulesdir}/70-u2f.rules

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/*.so.*
%{_udevrulesdir}/70-u2f.rules
%doc COPYING

%files -n u2f-host
%{_bindir}/u2f-host
%{_mandir}/man1/u2f-host.1.*

%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/*
%doc README NEWS AUTHORS ChangeLog THANKS
%doc %{_datadir}/gtk-doc

%changelog
* Sun Mar 29 2015 Jerome Brunet  <guizmo-copr@liltaz.com> - 0.0.4-1
- Update to release 0.0.4

* Mon Jan 19 2015 Jerome Brunet  <guizmo-copr@liltaz.com> - 0.0.3-1
- Update to release 0.0.3

* Wed Dec 24 2014 Jerome Brunet  <guizmo-copr@liltaz.com> - 0.0.2-1
- Update to release 0.0.2

* Fri Oct 31 2014 Andy Lutomirski <luto@mit.edu> - 0.0-5
- BR: systemd, for _udevrulesdir

* Fri Oct 31 2014 Andy Lutomirski <luto@mit.edu> - 0.0-4
- Update udev rules for the Plug-Up key
- Fix timestamp on the udev rules

* Wed Oct 29 2014 Andy Lutomirski <luto@mit.edu> - 0.0-3
- Use _udevrulesdir

* Mon Oct 27 2014 Andy Lutomirski <luto@mit.edu> - 0.0-2
- Add udev rules

* Wed Oct 22 2014 Andy Lutomirski <luto@mit.edu> - 0.0-1
- New package
